KAFFEINE(1)

NAME
kaffeine - A media player for TDE that can use multiple backends for playback.

SYNOPSIS
kaffeine [Qt-options] [TDE-options] [options] [file]

DESCRIPTION
Kaffeine is a media player for TDE. While it supports multiple player engines, its default engine is Xine, giving Kaffeine a wide variety of supported media types and letting Kaffeine access CDs, DVDs, and network streams easily. Kaffeine can keep track of multiple playlists simultaneously, and supports autoloading of subtitles files for use while playing video. Author: Jürgen Kofler Homepage: http://kaffeine.sourceforge.net

OPTIONS

  Arguments:

  file
File(s) to play. Can be a local file, a URL, a directory or 'DVD', 'VCD', 'AudioCD'.

  Options:

-p, --play
    Start playing immediately

-f, --fullscreen
    Start in fullscreen mode

-a, --audiodriver <argument>
    Set audio driver [default]

-x, --videodriver <argument>
    Set video driver [default]

-d, --device <argument>
    Set Audio-CD/VCD/DVD device path. [default]

--verbose
    Output xine debug messages

-w, --wizard
    Run installation wizard

  Generic options:

  --help
Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

--nofork
    Don't run in the background.

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

SEE ALSO

  Full user documentation is available through the TDE Help Center. You can also enter the URL
help:/kaffeine/ directly into konqueror or you can run `khelpcenter help:/kaffeine/' from the command-line.

AUTHORS
Jürgen Kofler <kaffeine@gmx.net>
Christophe Thommeret <hftom@free.fr>